AlmaLinux 9 WSL on x86-64-v1 Machines

Hello people,

As we know the upstream provider has limited Linux Kernel to run on AlmaLinux 9 WSL at least on x86-64-v2 or recent machines. WSL Kernel doesn’t have this limitation. But I’m unsure if those flags have been used only on the Linux Kernel or may be the entire system will run on older amd64 machines.

Given the case,
Is it safe to run AlmaLinux 9 WSL on x86-64-v1 machines?
Or may be I’ve would be more conservative and stick old machines with 8.x series.

Thanks in advance.